using System;
using System.Collections.Generic;
using System.Text;
using IndianHealthService.BMXNet.WinForm.Configuration;
using System.Windows.Forms;

namespace IndianHealthService.BMXNet.WinForm.Forms
{
    internal interface RpmsLoginView
    {
        String Title { set; }
        List<RpmsConnectionSpec> ConnectionSpecs { set; }
     
        String AccessCode { get; }
        String VerifyCode { get; }
        bool UseWindowsAuthentication { get; set; }
        bool EnableUseWindowsAuthentication { get; set; }
        RpmsConnectionSpec ConnectionSpec { get; set; }
        bool IsSwitchServerModeEnabled { get; set; }
    
        event EventHandler ConnectionSpecSelected;
        event EventHandler Ok;
        event EventHandler Cancel;

        void ResetAccessVerifyCodes(); 
        
        void ShowView(IWin32Window anOwner);

        void ShowWait();
        void HideWait();

        IWin32Window UiOwner { get; }
        void CloseView();



    }
}
